
#include <X11/Xlib.h>
#include <X11/keysym.h>

char conf_file[];

struct _s_keydef_node {
    char name[256];
    int send_to_focus;
    KeySym key[24], key_alt[24];
    struct _s_keydef_node *next;
};
typedef struct _s_keydef_node _keydef_node;

typedef struct {
    _keydef_node *first, *last;
} _keydef_list;

_keydef_node *keydef_list_search(const char *name);
int keydef_list_add(_keydef_node *keydef_node);
int keydef_list_delete(_keydef_node *keydef_node);
int keydef_list_load(const char *name);
int keydef_list_save(const char *name);

int  open_window(int posx, int posy, int w, int h,
                 int iconic, const char *paddev, int padtype);
void close_window();
int  main_loop();

